Check payout status
curl --request GET \
--url https://api.stage.rocka.live/api/payouts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.stage.rocka.live/api/payouts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.stage.rocka.live/api/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/api/payouts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/api/payouts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/api/payouts/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/api/payouts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iban": "DE75512108001245126199",
"beneficiaryName": "Mark Schmidt",
"beneficiaryRef": "BC83DF4B0A634 OU",
"id": "e01186ef9a1442afb924a8ad60d24390",
"status": "Executing",
"createdAt": "2026-05-08T11:26:10.455Z",
"amount": 50,
"currency": "EUR",
"requestId": "payout1794"
}Payouts
Check payout status
GET
/
api
/
payouts
/
{id}
Check payout status
curl --request GET \
--url https://api.stage.rocka.live/api/payouts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.stage.rocka.live/api/payouts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.stage.rocka.live/api/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/api/payouts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/api/payouts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/api/payouts/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/api/payouts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iban": "DE75512108001245126199",
"beneficiaryName": "Mark Schmidt",
"beneficiaryRef": "BC83DF4B0A634 OU",
"id": "e01186ef9a1442afb924a8ad60d24390",
"status": "Executing",
"createdAt": "2026-05-08T11:26:10.455Z",
"amount": 50,
"currency": "EUR",
"requestId": "payout1794"
}Authorizations
Path Parameters
Payout's unique ID.
Response
200 - application/json
This payout's unique ID in Rocka's records.
Payout amount.
Payout currency.
Date and time when the payout was registered by Rocka.
Available options:
Processing, Executing, Failed, Done Recipient's IBAN (International Bank Account Number).
Recipient's full name.
Bank reference, which appears on the beneficiary's bank statement once the payout arrives.
The payout's unique identifier (to prevent duplicate requests).
Last modified on September 17, 2026
Was this page helpful?